Bug 343931 - SELinux is preventing /usr/libexec/hald-addon-macbookpro-backlight (hald_mac_t) "read" to <Unknown> (memory_device_t)
SELinux is preventing /usr/libexec/hald-addon-macbookpro-backlight (hald_mac_...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-20 12:26 EDT by Ruben Kerkhof
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-29 23:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-10-20 12:26:37 EDT
This is on my Macbook Pro Core Duo (first generation).
Sealert output:

Source Context                system_u:system_r:hald_mac_t:s0
Target Context                system_u:object_r:memory_device_t:s0
Target Objects                None [ chr_file ]
Affected RPM Packages         
Policy RPM                    
Selinux Enabled               
Policy Type                   
MLS Enabled                   
Enforcing Mode                
Plugin Name                   plugins.catchall_file
Host Name                     
Alert Count                   1
First Seen                    Sat Oct 20 13:44:29 2007
Last Seen                     Sat Oct 20 13:44:29 2007
Local ID                      6df37c04-6e4e-424d-8489-a1cff33c6d73
Line Numbers                  8,9

Raw Audit Messages            

avc: denied { read } for comm=hald-addon-macb dev=tmpfs egid=0 euid=0
exe=/usr/libexec/hald-addon-macbookpro-backlight exit=-13 fsgid=0 fsuid=0 gid=0
items=0 name=mem pid=2620 scontext=system_u:system_r:hald_mac_t:s0 sgid=0
subj=system_u:system_r:hald_mac_t:s0 suid=0 tclass=chr_file
tcontext=system_u:object_r:memory_device_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-10-22 10:00:11 EDT
Fixed in selinux-policy-3.0.8-29.fc8.src.rpm
Comment 2 Ruben Kerkhof 2007-10-27 10:37:53 EDT
Thanks, works ok now.

Note You need to log in before you can comment on or make changes to this bug.